function [] = plotuav(x,v,u,fm,G,obst)

T = size(x,1);
Npart = size(x,3);
Nobst = size(obst,1);

colormap lines;
colors = colormap;
%colors = colors(1:6:end,:)
%markers = {'o','*','.','s','x','d','<','>','p','+'};
%markers = {'.','.','.','x','x'};
markers = {'.','.','.','.','x'};
%markers = cell(1,Npart);
%markers(:) = {'o'};

Cs = size(colors,1);

x(:,2,:) = x(:,2,:)+1;

figure(1); clf;
%subplot(211),
	%title 'Position x';
	hold on;
	G([2,4]) = G([2,4])+1;
	patch(G([1 3 3 1 1]),G([2 2 4 4 2]),'w', 'linewidth', 2, 'linestyle', '--');
	for i = 1:Nobst,
		o = cell2mat(obst(i));
		o(2:2:end) = o(2:2:end)+1;
		patch(o(1:2:end),o(2:2:end),'w', 'linewidth', 2);
		%patch(o(1:2:end),o(2:2:end),'y');
	end
	%%{
	for j = 1:Npart,
		%for t = 1:T,
			plot(x(:,1,j), x(:,2,j), char(markers(j)),...
			'color','k');
			%'markerfacecolor', colors(j), 'markersize', 10);
			%'color', colors(mod(j,Cs)+1,:),...
		%end
	end
	%%}
	%{
	for t = 1:T,
		plot(squeeze(x(t,1,:)), squeeze(x(t,2,:)), '.', ...
		'color', colors(mod(t,T)+1,:))%,...
		%'markerfacecolor', colors(mod(j,Cs)+1,:), 'markersize', 20);
	end
	%}
	plot(mean(x(:,1,:),3), mean(x(:,2,:),3),'o-k', 'linewidth',1);
	axis equal;
	axis([-.1, 3.6, -.7+1, 1.6+1]);
	xlabel('x', 'fontsize', 15, 'fontweight', 'bold');
	ylabel('y', 'fontsize', 15, 'fontweight', 'bold');
	hold off;
	%legend('Target', 'Obstacle 1', 'Obstacle 2',...
	%'Particle 1', 'Particle 2', 'Particle 3', 'Particle 4', 'Particle 5',...
	%'Expected path', 'Location', 'NorthWest');

figure(2); clf;
subplot(211),
	plot(1:T, v,'o-', 'linewidth', 2); title 'Velocity v';
	legend('v_1','v_2');
subplot(212),
	title 'Control u';
	hold on;
	plot(1:T-1, u,'o-', 'linewidth', 2);
	plot(1:T-1, fm,'o--r', 'linewidth', 2);
	%plot(1:T-1, (sum(abs(u)'))','.-r');
	legend('u_1','u_2','|u_1|+|u_2|');
%subplot(313),
%	hold on;
%	plot(1:T-1, fm,'o--', 'linewidth', 2); title 'Magnitude of u';
%	plot(1:T-1, (sum(abs(u)'))','.-r');
%	legend('um','|u_1|+|u_2|');
figure(1);

